org.apache.storm.cassandra.trident.state

## Class TransactionalTupleStateMapper

- java.lang.Object
- - org.apache.storm.cassandra.trident.state.TransactionalTupleStateMapper

- All Implemented Interfaces:
    Serializable, StateMapper<TransactionalValue<ITuple>>

      public class TransactionalTupleStateMapper
      extends Object
      implements StateMapper<TransactionalValue<ITuple>>

  State mapper that maps a transactional tuple to separate state fields.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalTupleStateMapper(String txIdField, Fields fields)`
    `TransactionalTupleStateMapper(String txIdField, String... fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionalValue<ITuple>` | `fromValues(List<Values> valuesList)`
    `Fields` | `getStateFields()`
    `String` | `toString()`
    `Values` | `toValues(TransactionalValue<ITuple> tuple)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalTupleStateMapper

          public TransactionalTupleStateMapper(String txIdField,
                                               String... fields)

    - #### TransactionalTupleStateMapper

          public TransactionalTupleStateMapper(String txIdField,
                                               Fields fields)

  - ### Method Detail

    - #### getStateFields

          public Fields getStateFields()

      Specified by:
        `getStateFields` in interface `StateMapper<TransactionalValue<ITuple>>`

    - #### toValues

          public Values toValues(TransactionalValue<ITuple> tuple)

      Specified by:
        `toValues` in interface `StateMapper<TransactionalValue<ITuple>>`

    - #### fromValues

          public TransactionalValue<ITuple> fromValues(List<Values> valuesList)

      Specified by:
        `fromValues` in interface `StateMapper<TransactionalValue<ITuple>>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.